Setup Yellowcard integration.
curl --request PUT \
--url https://sandbox-api.borderless.xyz/v1/organizations/integrations/yellowcard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"apiKey": "hKaAodQNLK",
"apiSecret": "ad0b2a2190dde067f3fd5a523f1c2aen",
"omnibusAddresses": {
"evm": "0x1234567890abcdef1234567890abcdef12345678",
"solana": "4kzKf7p83nXq5VK92K9YfSsfSqsCim29s3VAmxyz123",
"tron": "TQ9n1Muf6pZL4e1DqYNo8v5yRk6VxVQ2Q3"
}
}
'import requests
url = "https://sandbox-api.borderless.xyz/v1/organizations/integrations/yellowcard"
payload = {
"apiKey": "hKaAodQNLK",
"apiSecret": "ad0b2a2190dde067f3fd5a523f1c2aen",
"omnibusAddresses": {
"evm": "0x1234567890abcdef1234567890abcdef12345678",
"solana": "4kzKf7p83nXq5VK92K9YfSsfSqsCim29s3VAmxyz123",
"tron": "TQ9n1Muf6pZL4e1DqYNo8v5yRk6VxVQ2Q3"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
apiKey: 'hKaAodQNLK',
apiSecret: 'ad0b2a2190dde067f3fd5a523f1c2aen',
omnibusAddresses: {
evm: '0x1234567890abcdef1234567890abcdef12345678',
solana: '4kzKf7p83nXq5VK92K9YfSsfSqsCim29s3VAmxyz123',
tron: 'TQ9n1Muf6pZL4e1DqYNo8v5yRk6VxVQ2Q3'
}
})
};
fetch('https://sandbox-api.borderless.xyz/v1/organizations/integrations/yellowcard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "<string>",
"integrationNetworkAddresses": [
{
"address": "<string>"
}
]
}Integrations Config
Setup Yellowcard integration.
deprecated
Create Yellowcard integration to configure the connection of Identity with the Yellowcard Wallet.
PUT
/
v1
/
organizations
/
integrations
/
yellowcard
Setup Yellowcard integration.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The Yellowcard API key for authentication.
Example:
"hKaAodQNLK"
The Yellowcard API secret for authentication.
Example:
"ad0b2a2190dde067f3fd5a523f1c2aen"
Optional omnibus addresses grouped by blockchain network.
Show child attributes
Show child attributes
Was this page helpful?
⌘I